Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture
Class CaptureSettings

    java.lang.Object
      teamdev.jxcapture.CaptureSettings

public class CaptureSettings
extends java.lang.Object

This is a bean class that holds the settings for the capture operation.

Method Summary
`static CaptureSettings` | `getInstance()`
`boolean` | `isCaptureTransparentWindow()` Retruns `true` if the capture operation allows to capture transparent or layered window, otherwise - `false`.
`boolean` | `isIncludeCursor()` Determines whether the resulting image of the capture operation includes the cursor image.
`void` | `setCaptureTransparentWindow(boolean capture)` Sets `true` if the capture operation should allow to capture transparent or layered window, otherwise - `false`.
`void` | `setIncludeCursor(boolean includeCursor)` Includes (or excludes) the cursor image in (or from) the resulting image of the capture operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CaptureSettings getInstance()

### isIncludeCursor

    public boolean isIncludeCursor()

  Determines whether the resulting image of the capture operation includes the cursor image.

  Returns:
    `true` if the result of the capture operation includes the cursor image, `false` otherwise

### setIncludeCursor

    public void setIncludeCursor(boolean includeCursor)

  Includes (or excludes) the cursor image in (or from) the resulting image of the capture operation.

  Parameters:
    `includeCursor` - If `true`, this cursor image is included into the result of the capture operation; otherwise not

### isCaptureTransparentWindow

    public boolean isCaptureTransparentWindow()

  Retruns `true` if the capture operation allows to capture transparent or layered window, otherwise - `false`.

  A layered or transparent window is used by some applications to create a fade-in/out effect for menus and windows. Layered windows are also used for desktop animation, such as animated help assistants.

  Returns:
    `true` if the capture transparent or layered window option is set, otherwise - `false`

### setCaptureTransparentWindow

    public void setCaptureTransparentWindow(boolean capture)

  Sets `true` if the capture operation should allow to capture transparent or layered window, otherwise - `false`.

  A layered or transparent window is used by some applications to create a fade-in/out effect for menus and windows. Layered windows are also used for desktop animation, such as animated help assistants.

  Parameters:
    `capture` - `true` if the capture operation should allow to capture transparent or layered window, otherwise - `false`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD